#!/bin/bash

# Définir les chemins vers les fichiers
update_script=/usr/local/bin/check-update
update_file=/var/update_file
bashrc=/etc/profile

# Créer le fichier de script de mise à jour
echo "#!/bin/bash

# Stocker la sortie de la commande de mise à jour dans un fichier
dnf check-update
dnf check-update > $update_file" > $update_script

# Rendre le script exécutable
chmod +x $update_script

# Créer le fichier d'info
touch $update_file
chmod 644 $update_file

# Vérifier si le script est déjà présent dans la table cron
if ! (crontab -l | grep $update_script > /dev/null); then
  # Ajouter le script à la tâche cron
  (crontab -l 2>/dev/null; echo "0 */1 * * * $update_script") | crontab -
fi

# Vérifier si le code pour afficher les mises à jour est déjà présent dans .bashrc
if ! (grep "594f33f0-ab2f-11ed-afa1-0242ac120002/abonnel.fr" $bashrc > /dev/null); then
  # Ajouter le code pour afficher les mises à jour au fichier .bashrc
echo '
# -- VERIFIER LES MISES A JOUR DISPO --
# Script id 594f33f0-ab2f-11ed-afa1-0242ac120002/abonnel.fr

# Définir le chemin vers le fichier de mise à jour
update_file=/var/update_file

# Vérifier si le fichier de mise à jour existe
if [ -f $update_file ]; then
  # Compter le nombre de mises à jour
  updates=$(($(wc -l < $update_file) - 1))
  # Afficher le nombre de mises à jour en attente
  echo "Il y a $updates mise(s) à jour en attente."
fi
' >> $bashrc
fi

# Recharger le fichier .bashrc
source $bashrc

